%
%   dae version 27.02.02
%
%   the function calculates the derivative f_t(y,x,t)
%
function ft = cal_ft(daefile,y,x,t,varargin)
  f0=feval('fnacht',0,t,x,y,daefile,varargin{:});
  tresh(1)=1;
 [ft,fac,g1,nF]=numjac('fnacht',0,t,f0,tresh,[],0,[],[],x,y,daefile,varargin{:});
 